Source: gap-alnuth
Version: 3.0.0-3
Severity: serious
Justification: fails to build from source
User: reproducible-builds@lists.alioth.debian.org
Usertags: ftbfs
X-Debbugs-Cc: reproducible-builds@lists.alioth.debian.org

Dear Maintainer,

gap-alnuth fails to build from source in unstable/amd64:

  [..]

  Selecting previously unselected package libjbig0:amd64.
  Preparing to unpack .../libjbig0_2.1-3.1_amd64.deb ...
  Unpacking libjbig0:amd64 (2.1-3.1) ...
  Selecting previously unselected package libtiff5:amd64.
  Preparing to unpack .../libtiff5_4.0.6-1_amd64.deb ...
  Unpacking libtiff5:amd64 (4.0.6-1) ...
  Selecting previously unselected package libcupsfilters1:amd64.
  Preparing to unpack .../libcupsfilters1_1.9.0-2_amd64.deb ...
  Unpacking libcupsfilters1:amd64 (1.9.0-2) ...
  Selecting previously unselected package libcupsimage2:amd64.
  Preparing to unpack .../libcupsimage2_2.1.4-1_amd64.deb ...
  Unpacking libcupsimage2:amd64 (2.1.4-1) ...
  Selecting previously unselected package libijs-0.35:amd64.
  Preparing to unpack .../libijs-0.35_0.35-12_amd64.deb ...
  Unpacking libijs-0.35:amd64 (0.35-12) ...
  Selecting previously unselected package libjbig2dec0:amd64.
  Preparing to unpack .../libjbig2dec0_0.13-2_amd64.deb ...
  Unpacking libjbig2dec0:amd64 (0.13-2) ...
  Selecting previously unselected package liblcms2-2:amd64.
  Preparing to unpack .../liblcms2-2_2.7-1_amd64.deb ...
  Unpacking liblcms2-2:amd64 (2.7-1) ...
  Selecting previously unselected package libopenjp2-7:amd64.
  Preparing to unpack .../libopenjp2-7_2.1.0-2.1+b1_amd64.deb ...
  Unpacking libopenjp2-7:amd64 (2.1.0-2.1+b1) ...
  Selecting previously unselected package libpaper1:amd64.
  Preparing to unpack .../libpaper1_1.1.24+nmu4_amd64.deb ...
  Unpacking libpaper1:amd64 (1.1.24+nmu4) ...
  Selecting previously unselected package poppler-data.
  Preparing to unpack .../poppler-data_0.4.7-7_all.deb ...
  Unpacking poppler-data (0.4.7-7) ...
  Selecting previously unselected package libgs9-common.
  Preparing to unpack .../libgs9-common_9.19~dfsg-1_all.deb ...
  Unpacking libgs9-common (9.19~dfsg-1) ...
  Selecting previously unselected package libgs9.
  Preparing to unpack .../libgs9_9.19~dfsg-1+b1_amd64.deb ...
  Unpacking libgs9 (9.19~dfsg-1+b1) ...
  Selecting previously unselected package libharfbuzz0b:amd64.
  Preparing to unpack .../libharfbuzz0b_1.2.6-2_amd64.deb ...
  Unpacking libharfbuzz0b:amd64 (1.2.6-2) ...
  Selecting previously unselected package libharfbuzz-icu0:amd64.
  Preparing to unpack .../libharfbuzz-icu0_1.2.6-2_amd64.deb ...
  Unpacking libharfbuzz-icu0:amd64 (1.2.6-2) ...
  Selecting previously unselected package x11-common.
  Preparing to unpack .../x11-common_1%3a7.7+15_all.deb ...
  Unpacking x11-common (1:7.7+15) ...
  Selecting previously unselected package libice6:amd64.
  Preparing to unpack .../libice6_2%3a1.0.9-1+b1_amd64.deb ...
  Unpacking libice6:amd64 (2:1.0.9-1+b1) ...
  Selecting previously unselected package libnspr4:amd64.
  Preparing to unpack .../libnspr4_2%3a4.12-2_amd64.deb ...
  Unpacking libnspr4:amd64 (2:4.12-2) ...
  Selecting previously unselected package libnss3:amd64.
  Preparing to unpack .../libnss3_2%3a3.23-2_amd64.deb ...
  Unpacking libnss3:amd64 (2:3.23-2) ...
  Selecting previously unselected package libpoppler61:amd64.
  Preparing to unpack .../libpoppler61_0.44.0-3_amd64.deb ...
  Unpacking libpoppler61:amd64 (0.44.0-3) ...
  Selecting previously unselected package libpotrace0.
  Preparing to unpack .../libpotrace0_1.13-2_amd64.deb ...
  Unpacking libpotrace0 (1.13-2) ...
  Selecting previously unselected package libsm6:amd64.
  Preparing to unpack .../libsm6_2%3a1.2.2-1+b1_amd64.deb ...
  Unpacking libsm6:amd64 (2:1.2.2-1+b1) ...
  Selecting previously unselected package libxt6:amd64.
  Preparing to unpack .../libxt6_1%3a1.1.5-1_amd64.deb ...
  Unpacking libxt6:amd64 (1:1.1.5-1) ...
  Selecting previously unselected package libxmu6:amd64.
  Preparing to unpack .../libxmu6_2%3a1.1.2-2_amd64.deb ...
  Unpacking libxmu6:amd64 (2:1.1.2-2) ...
  Selecting previously unselected package libxpm4:amd64.
  Preparing to unpack .../libxpm4_1%3a3.5.11-1+b1_amd64.deb ...
  Unpacking libxpm4:amd64 (1:3.5.11-1+b1) ...
  Selecting previously unselected package libxaw7:amd64.
  Preparing to unpack .../libxaw7_2%3a1.0.13-1_amd64.deb ...
  Unpacking libxaw7:amd64 (2:1.0.13-1) ...
  Selecting previously unselected package libxi6:amd64.
  Preparing to unpack .../libxi6_2%3a1.7.6-1_amd64.deb ...
  Unpacking libxi6:amd64 (2:1.7.6-1) ...
  Selecting previously unselected package libzzip-0-13:amd64.
  Preparing to unpack .../libzzip-0-13_0.13.62-3_amd64.deb ...
  Unpacking libzzip-0-13:amd64 (0.13.62-3) ...
  Selecting previously unselected package tex-common.
  Preparing to unpack .../tex-common_6.05_all.deb ...
  Unpacking tex-common (6.05) ...
  Selecting previously unselected package texlive-binaries.
  Preparing to unpack .../texlive-binaries_2016.20160513.41080-4_amd64.deb ...
  Unpacking texlive-binaries (2016.20160513.41080-4) ...
  Selecting previously unselected package xdg-utils.
  Preparing to unpack .../xdg-utils_1.1.1-1_all.deb ...
  Unpacking xdg-utils (1.1.1-1) ...
  Selecting previously unselected package libpaper-utils.
  Preparing to unpack .../libpaper-utils_1.1.24+nmu4_amd64.deb ...
  Unpacking libpaper-utils (1.1.24+nmu4) ...
  Selecting previously unselected package texlive-base.
  Preparing to unpack .../texlive-base_2016.20160623-1_all.deb ...
  Unpacking texlive-base (2016.20160623-1) ...
  Selecting previously unselected package texlive-fonts-recommended.
  Preparing to unpack .../texlive-fonts-recommended_2016.20160623-1_all.deb ...
  Unpacking texlive-fonts-recommended (2016.20160623-1) ...
  Processing triggers for man-db (2.7.5-1) ...
  Processing triggers for libc-bin (2.22-13) ...
  Processing triggers for systemd (230-3) ...
  Processing triggers for mime-support (3.60) ...
  Setting up gap-gapdoc (1.5.1-3) ...
  Setting up gap-libs (4r8p4-1) ...
  Setting up gap-core (4r8p4-1) ...
  Setting up gap-online-help (4r8p4-1) ...
  Setting up gap (4r8p4-1) ...
  Setting up gap-doc (4r8p4-1) ...
  Setting up gap-autpgrp (1.5-2) ...
  Setting up gap-polycyclic (2.11-2) ...
  Setting up libxau6:amd64 (1:1.0.8-1) ...
  Setting up libxdmcp6:amd64 (1:1.1.2-1.1) ...
  Setting up libxcb1:amd64 (1.11.1-1) ...
  Setting up libx11-data (2:1.6.3-1) ...
  Setting up libx11-6:amd64 (2:1.6.3-1) ...
  Setting up pari-gp (2.7.6-1) ...
  Setting up tth (4.08+ds-1) ...
  Setting up libkpathsea6:amd64 (2016.20160513.41080-4) ...
  Setting up libptexenc1:amd64 (2016.20160513.41080-4) ...
  Setting up libsynctex1:amd64 (2016.20160513.41080-4) ...
  Setting up libtexlua52:amd64 (2016.20160513.41080-4) ...
  Setting up libtexluajit2:amd64 (2016.20160513.41080-4) ...
  Setting up libpng16-16:amd64 (1.6.23-1) ...
  Setting up libfreetype6:amd64 (2.6.3-3+b1) ...
  Setting up ucf (3.0036) ...
  Setting up fonts-dejavu-core (2.35-1) ...
  Setting up fontconfig-config (2.11.0-6.4) ...
  Setting up libfontconfig1:amd64 (2.11.0-6.4) ...
  Setting up libpixman-1-0:amd64 (0.33.6-1) ...
  Setting up libxcb-render0:amd64 (1.11.1-1) ...
  Setting up libxcb-shm0:amd64 (1.11.1-1) ...
  Setting up libxext6:amd64 (2:1.3.3-1) ...
  Setting up libxrender1:amd64 (1:0.9.9-2) ...
  Setting up libcairo2:amd64 (1.14.6-1+b1) ...
  Setting up libgraphite2-3:amd64 (1.3.8-1) ...
  Setting up libavahi-common-data:amd64 (0.6.32~rc+dfsg-1) ...
  Setting up libavahi-common3:amd64 (0.6.32~rc+dfsg-1) ...
  Setting up libdbus-1-3:amd64 (1.10.8-1) ...
  Setting up libavahi-client3:amd64 (0.6.32~rc+dfsg-1) ...
  Setting up libcups2:amd64 (2.1.4-1) ...
  Setting up libjpeg62-turbo:amd64 (1:1.5.0-1) ...
  Setting up libjbig0:amd64 (2.1-3.1) ...
  Setting up libtiff5:amd64 (4.0.6-1) ...
  Setting up libijs-0.35:amd64 (0.35-12) ...
  Setting up libjbig2dec0:amd64 (0.13-2) ...
  Setting up liblcms2-2:amd64 (2.7-1) ...
  Setting up libopenjp2-7:amd64 (2.1.0-2.1+b1) ...
  Setting up libpaper1:amd64 (1.1.24+nmu4) ...
  
  Creating config file /etc/papersize with new version
  Setting up poppler-data (0.4.7-7) ...
  Setting up libgs9-common (9.19~dfsg-1) ...
  Setting up libharfbuzz0b:amd64 (1.2.6-2) ...
  Setting up libharfbuzz-icu0:amd64 (1.2.6-2) ...
  Setting up x11-common (1:7.7+15) ...
  update-rc.d: warning: start and stop actions are no longer supported; falling 
back to defaults
  invoke-rc.d: could not determine current runlevel
  invoke-rc.d: policy-rc.d denied execution of start.
  Setting up libice6:amd64 (2:1.0.9-1+b1) ...
  Setting up libnspr4:amd64 (2:4.12-2) ...
  Setting up libnss3:amd64 (2:3.23-2) ...
  Setting up libpoppler61:amd64 (0.44.0-3) ...
  Setting up libpotrace0 (1.13-2) ...
  Setting up libsm6:amd64 (2:1.2.2-1+b1) ...
  Setting up libxt6:amd64 (1:1.1.5-1) ...
  Setting up libxmu6:amd64 (2:1.1.2-2) ...
  Setting up libxpm4:amd64 (1:3.5.11-1+b1) ...
  Setting up libxaw7:amd64 (2:1.0.13-1) ...
  Setting up libxi6:amd64 (2:1.7.6-1) ...
  Setting up libzzip-0-13:amd64 (0.13.62-3) ...
  Setting up tex-common (6.05) ...
  update-language: texlive-base not installed and configured, doing nothing!
  Setting up xdg-utils (1.1.1-1) ...
  Setting up libpaper-utils (1.1.24+nmu4) ...
  Setting up libcupsfilters1:amd64 (1.9.0-2) ...
  Setting up libcupsimage2:amd64 (2.1.4-1) ...
  Setting up libgs9 (9.19~dfsg-1+b1) ...
  Setting up texlive-binaries (2016.20160513.41080-4) ...
  update-alternatives: using /usr/bin/xdvi-xaw to provide /usr/bin/xdvi.bin 
(xdvi.bin) in auto mode
  update-alternatives: using /usr/bin/bibtex.original to provide 
/usr/bin/bibtex (bibtex) in auto mode
  Processing triggers for tex-common (6.05) ...
  update-language: texlive-base not installed and configured, doing nothing!
  texlive-base is not ready, skipping fmtutil --all call
  Setting up texlive-base (2016.20160623-1) ...
  mktexlsr: Updating /var/lib/texmf/ls-R-TEXLIVEDIST... 
  mktexlsr: Updating /var/lib/texmf/ls-R-TEXMFMAIN... 
  mktexlsr: Updating /var/lib/texmf/ls-R... 
  mktexlsr: Done.
  /usr/bin/tl-paper: setting paper size for dvips to a4.
  /usr/bin/tl-paper: setting paper size for dvipdfmx to a4.
  /usr/bin/tl-paper: setting paper size for xdvi to a4.
  /usr/bin/tl-paper: setting paper size for pdftex to a4.
  Processing triggers for tex-common (6.05) ...
  Running updmap-sys. This may take some time... done.
  Running mktexlsr /var/lib/texmf ... done.
  Building format(s) --all.
        This may take some time... done.
  Setting up texlive-fonts-recommended (2016.20160623-1) ...
  Processing triggers for tex-common (6.05) ...
  Running updmap-sys. This may take some time... done.
  Running mktexlsr /var/lib/texmf ... done.
  Setting up gap-alnuth-build-deps (3.0.0-3) ...
  Processing triggers for libc-bin (2.22-13) ...
  Processing triggers for systemd (230-3) ...
  
  
**************************************************************************************
  ** Environment                                                                
      **
  
**************************************************************************************
  
  
PATH=/home/lamby/git/projects/dotfiles/dotfiles/..//bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  HOSTNAME=3dba6e26e4ed
  TERM=xterm
  PAGER=more
  DISPLAY=:0
  DOCKER_IMAGE=lamby-debian-sid
  DEB_BUILD_OPTIONS=parallel=9
  PIP_DOWNLOAD_CACHE=/home/lamby/.cache/pip
  HOME=/home/lamby
  LOGNAME=lamby
  SHLVL=1
  PWD=/home/lamby/temp/cdt.20160627201822.3fO9t1FNit.gap-alnuth/gap-alnuth-3.0.0
  OLDPWD=/home/lamby/temp/cdt.20160627201822.3fO9t1FNit.gap-alnuth
  GPG_TTY=/dev/console
  QUILT_PATCHES=debian/patches
  QUILT_NO_DIFF_INDEX=1
  QUILT_REFRESH_ARGS=-p ab --no-timestamps --no-index
  DEBEMAIL=la...@debian.org
  DEBFULLNAME=Chris Lamb
  EDITOR=vim
  LESS=-cgiFx4M
  BLASTER=A220 I5 D1 H5 P330 T6
  _=/usr/bin/env
  
  
**************************************************************************************
  ** Building gap-alnuth 3.0.0-3 on amd64                                       
      **
  
**************************************************************************************
  
   dpkg-buildpackage -rfakeroot -D -us -uc -b
  dpkg-buildpackage: info: source package gap-alnuth
  dpkg-buildpackage: info: source version 3.0.0-3
  dpkg-buildpackage: info: source distribution unstable
  dpkg-buildpackage: info: source changed by Bill Allombert 
<ballo...@debian.org>
   dpkg-source --before-build gap-alnuth-3.0.0
  dpkg-buildpackage: info: host architecture amd64
   fakeroot debian/rules clean
  dh_testdir
  dh_testroot
  make -C doc clean
  make[1]: Entering directory 
'/home/lamby/temp/cdt.20160627201822.3fO9t1FNit.gap-alnuth/gap-alnuth-3.0.0/doc'
  rm -f tthout tthmacros.tex manual.example*
  rm -f ./manual.{aux,bbl,blg,dvi,idx,ilg,ind,log,toc,toc.gz}
  rm -f ./manual.{lab,six,six.gz,pdf}
  rm -fr ../htm
  make[1]: Leaving directory 
'/home/lamby/temp/cdt.20160627201822.3fO9t1FNit.gap-alnuth/gap-alnuth-3.0.0/doc'
  rm -f build-indep-stamp
  rm -rf debian/gaproot
  rm -f debian/gap.tst
  dh_clean
   debian/rules build
  mkdir -p debian/gaproot/pkg
  ln -s ../../.. debian/gaproot/pkg/Alnuth
  gap -q -l 'debian/gaproot;/usr/share/gap' < tst/testinstall.g | tee 
debian/gap.tst
  true
  #I  ReadTest is no longer supported. Please use more robust and flexible
  #I  Test. For backwards compatibility, ReadTest(<filename>) is replaced
  #I  by Test( <filename>, rec( compareFunction := "uptowhitespace" ))
  Test availability and version of PARI/GP
  GAP4stones: infinity
  #I  ReadTest is no longer supported. Please use more robust and flexible
  #I  Test. For backwards compatibility, ReadTest(<filename>) is replaced
  #I  by Test( <filename>, rec( compareFunction := "uptowhitespace" ))
  ########> Diff in debian/gaproot/pkg/Alnuth/tst/ALNUTH.tst, line 7:
  # Input is:
  EquationOrderBasis( F );
  # Expected output:
  Basis( <rational matrix field of degree 4>, 
  [ [ [ 1, 0, 0, 0 ], [ 0, 1, 0, 0 ], [ 0, 0, 1, 0 ], [ 0, 0, 0, 1 ] ], 
    [ [ -1, 1, 1, 0 ], [ 5, -5, -5, 11 ], [ 3, -4, -7, 11 ], [ 3, -3, -4, 7 ] ],
    [ [ 9, -10, -13, 22 ], [ -12, 17, 21, -33 ], [ -11, 18, 28, -44 ],
        [ -9, 13, 18, -28 ] ],
    [ [ -32, 45, 62, -99 ], [ 61, -82, -112, 187 ], [ 53, -81, -121, 198 ],
        [ 44, -62, -88, 145 ] ] ] )
  # But found:
  Basis( <rational matrix field of degree 4>, 
  [ [ [ 1, 0, 0, 0 ], [ 0, 1, 0, 0 ], [ 0, 0, 1, 0 ], [ 0, 0, 0, 1 ] ], 
    [ [ 11, 11, 22, -22 ], [ 33, -33, -66, 132 ], [ 22, -22, -22, 55 ], 
        [ 20, -24, -38, 80 ] ], 
    [ [ 528, -198, -132, 660 ], [ 462, -264, -660, 1848 ], 
        [ 132, 132, 330, -198 ], [ 192, -72, -180, 702 ] ], 
    [ [ 9570, -594, 2508, 7788 ], [ 18810, -16038, -28116, 66528 ], 
        [ 9108, -5412, -5544, 16830 ], [ 9816, -8400, -13740, 32532 ] ] ] )
  ########
  Installation test of Alnuth package
  GAP4stones: 1250
  ! grep "^########" debian/gap.tst
  ########> Diff in debian/gaproot/pkg/Alnuth/tst/ALNUTH.tst, line 7:
  ########
  debian/rules:7: recipe for target 'build-indep-stamp' failed
  make: *** [build-indep-stamp] Error 1

  [..]

The full build log is attached.


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      la...@debian.org / chris-lamb.co.uk
       `-

Attachment: gap-alnuth.3.0.0-3.unstable.amd64.log.txt.gz
Description: Binary data

_______________________________________________
Reproducible-builds mailing list
Reproducible-builds@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reproducible-builds

Reply via email to